/**
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)
*
*This library is free software; you can redistribute it and/or
*modify it under the terms of the GNU Lesser General Public
*License as published by the Free Software Foundation; either
*version 2 of the License, or (at your option) any later version.
*
*This library is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*Lesser General Public License for more details.
*
*You should have received a copy of the GNU Lesser General Public
*License along with this library; if not, write to the Free Software
*Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
**/

#include "XmlRpc.h"
#include "../socket/Socket.h"
#include "../socket/SocketException.h"
#include <iostream>
//serve per la sleep
#include <unistd.h>

using namespace XmlRpc;

int main(int argc, char* argv[])
{
 
  int port_xml=29001;
  std::string server="localhost";
  std::string from_server;
  
  //XmlRpc::setVerbosity(5);

  XmlRpcClient c(server.c_str(), port_xml);
  XmlRpcValue noArgs, result;

/************ SEND DATA TARGET *************************/
  noArgs[2]=atoi(argv[2]);
  noArgs[1]=atoi(argv[1]);
  noArgs[0]="IFTASK";
  std::cout << "Argomenti:" << noArgs << "\n";
  std::cout << "prima di send_data_target-parte " << argv[1] <<"\n";
  if (c.execute("Start_Data", noArgs, result))
    std::cout << result << "\n";
  else {
    std::cout << "Error calling 'Send_Data_Target'\n\n";
    exit(1);
  }
  std::cout << "dopo send_data_target\n";
/*******************************************************/
  return 0;
}
